Get scanned documents

Summary

  • Source repository: jef-systems/jef-accounting-backend

  • Source SHA: eaca6413a00fd211146c504137047c3d327f687b

  • Source run id: 31404676080

  • Module: Accounting

  • Lambda function: jef-accounting-get-scanned-documents

  • HTTP method: GET

  • Invocation mode: sync

  • Package mode: no-package

  • API category: Accounting Complex Sync No Package GET APIs

  • API path: /accounting/complex-sync-no-packages/jef-accounting-get-scanned-documents

  • Endpoint URL: https://api.jefoffice.com/accounting/complex-sync-no-packages/jef-accounting-get-scanned-documents

  • Documentation scope: lambda-complex-sync-no-packages

Synchronous Lambda Complex Rule

This API is documented as a synchronous Lambda complex no-package API. API Gateway waits for the Lambda result and returns the final Lambda response.

Description

Lists scanned documents for the supplied jsin with a fixed server page size and optional cursor.

Payload Example

{
  "jsin": "1513"
}

Payload Schema

{
  "root": {
    "type": "M",
    "required": true,
    "additional_properties": false,
    "attributes": {
      "jsin": {
        "type": "S",
        "required": true,
        "regex": "^[0-9]{4}$"
      },
      "cursor": {
        "type": "S",
        "required": false,
        "min_length": 1,
        "max_length": 4096
      }
    }
  }
}

Response Schema

{
  "root": {
    "type": "M",
    "required": true,
    "additional_properties": false,
    "attributes": {
      "documents": {
        "type": "L",
        "required": false,
        "items": {
          "type": "M",
          "required": true,
          "additional_properties": false,
          "attributes": {
            "document_name": {
              "type": "S",
              "required": true
            },
            "form": {
              "type": "M",
              "required": true,
              "additional_properties": false,
              "attributes": {
                "form_name": {
                  "type": "S",
                  "required": true
                },
                "spec_version": {
                  "type": "S",
                  "required": true
                }
              }
            },
            "processing": {
              "type": "M",
              "required": true,
              "additional_properties": false,
              "attributes": {
                "status": {
                  "type": "S",
                  "required": true
                },
                "raw_ocr_value": {
                  "type": "S",
                  "required": false
                }
              }
            },
            "created": {
              "type": "S",
              "required": true
            }
          }
        }
      },
      "next_cursor": {
        "type": "S",
        "required": false
      },
      "error_code": {
        "type": "S",
        "required": false
      },
      "message": {
        "type": "S",
        "required": false
      }
    }
  }
}

CMD curl

curl.exe -X GET "https://api.jefoffice.com/accounting/complex-sync-no-packages/jef-accounting-get-scanned-documents"

PowerShell curl

curl.exe -X GET "https://api.jefoffice.com/accounting/complex-sync-no-packages/jef-accounting-get-scanned-documents"